# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'bb_flow/version'

Gem::Specification.new do |spec|
  spec.name          = 'bb-flow'
  spec.version       = BBFlow::VERSION
  spec.authors       = ['gregolsen']
  spec.email         = ['mihailov.in@gmail.com']
  spec.summary       = 'Simplifies typical BrightBytes work flows'
  spec.homepage      = ''
  spec.license       = 'MIT'

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ['lib']

  spec.add_dependency 'ansi-select', '0.3.4'
  spec.add_dependency 'git', '~> 1.2.9.1'
  spec.add_dependency 'memoist', '~> 0.12.0'
  spec.add_dependency 'ruby-trello', '~> 1.3.0'
  spec.add_dependency 'colorize', '~> 0.7.7'
  spec.add_dependency 'octokit', '~> 4.7.0'

  spec.add_development_dependency 'bundler', '~> 1.11'
  spec.add_development_dependency 'pry', '~> 0.10.2'
  spec.add_development_dependency 'rake', '~> 10.4.2'
  spec.add_development_dependency 'rubocop', '~> 0.34.2'
end
